
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	iptables are building blocks of a framework inside the Linux 2.4.x and 2.6.x kernel.
Name:      	iptables
Version:   	1.4.1.1
Release:   	1
License: 	GNU/GPL
URL:		http://www.netfilter.org
Group:     	System/Configuration/Networking
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
iptables are building blocks of a framework inside
the Linux 2.4.x and 2.6.x kernel. This framework 
enables packet filtering, network addresss [and port]
translation (NA[P]T) and other packet mangling.

%package	devel
Summary: 	%{name} development headers.
Group:     	Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n iptables-%{version}

%build
./configure --prefix=%_prefix --bindir=%_sbindir --mandir=%_mandir
#make KERNEL_DIR=/usr/src/kernels/%{kernel}-%{krel}-%{_target_cpu} BINDIR=%_sbindir LIBDIR=%_libdir MANDIR=%_mandir INCDIR=%_includedir COPT_FLAGS=-Os
make

%install
rm -rf $RPM_BUILD_ROOT
make KERNEL_DIR=/usr/src/kernels/%{kernel}-%{krel}-%{_target_cpu} BINDIR=%_sbindir LIBDIR=%_libdir MANDIR=%_mandir INCDIR=%_includedir install DESTDIR="$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
#gzip $RPM_BUILD_ROOT%_mandir/man3/*
#gzip $RPM_BUILD_ROOT%_mandir/man8/*

%files
%defattr(-,root,root)
%_sbindir/
%_mandir/
%_libexecdir/

%files devel
%defattr(-,root,root)
%_includedir/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1.1-1
- version update
- removed unneccessary kernel dependency
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.0-6
- kernel 2.6.25-11
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-5
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-4
- kernel 2.6.25-6
* Mon Apr 28 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.0-3
- kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-2
- kernel 2.6.24-10
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- version update
- kernel 2.6.24-5
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-12
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-11
- kernel 2.6.21-4
* Thu May 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-10
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-9
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-8
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-7
- Kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-6
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-5
- Kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-4
- Kernel 2.6.20-2
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-3
- Kernel 2.6.20-1
* Sat Jan 13 2007 Christian Metzen <metzench@ccux-linux.de> 1.3.7-2
- Kernel 2.6.19-6
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-1
- Version update
- Kernel 2.6.19-4
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-11
- Kernel 2.6.18-4
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-10
- Kernel 2.6.18-2
* Sun Oct 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-9
- Kernel 2.6.18-1
* Tue Aug 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-8
- Kernel 2.6.17-3
* Sat Jul 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-7
- Kernel 2.6.17-2
* Sat Jul 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-6
- Kernel 2.6.17-1
* Sun May 14 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-5
- Kernel 2.6.16-5
* Tue Apr 18 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-4
- Kernel 2.6.16-3
* Fri Feb 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-3
- Kernel 2.6.15-11
* Thu Feb 16 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-2
- Kernel 2.6.15-10
* Thu Feb 02 2006 Christian Wasem <wasem@ccux-linux.de> 1.3.5-1
- Update to Version 1.3.5
* Wed Jan 25 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.4-3
- Kernel 2.6.15-8
* Sat Jan 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.4-2
- Version update, Kernel 2.6.15-7
* Sat Nov 05 2005 Christian Wasem <wasem@ccux-linux.de> 1.3.4-1
- Update to Version 1.3.4 
* Thu Oct 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-7
- Kernel 2.6.13-8
* Thu Oct 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-6
- Kernel 2.6.13-7
* Sat Sep 24 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-5
- Kernel 2.6.13-5
* Sat Sep 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-4
- Kernel 2.6.13-4
* Tue Sep 06 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-3
- Kernel 2.6.13-3
* Sat Sep 03 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-2
- Kernel 2.6.13-1
* Sat Aug 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-1
- Kernel 2.6.12-11, version update
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.2-1
- Kernel 2.6.12-9, version update to 1.3.2
* Sat Jul 02 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-10
- Kernel 2.6.12-8
* Sat Jul 02 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-9
- Kernel 2.6.12-7
* Thu Jun 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-8
- Kernel 2.6.12-6
* Wed Jun 15 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-7
- Kernel 2.6.11-7
* Fri Jun 03 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-6
- Kernel 2.6.11-6
* Fri May 20 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-5
- Kernel 2.6.11-5
* Fri May 06 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-4
- Kernel 2.6.11-4
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-3
- Kernel 2.6.11-3
* Thu Mar 24 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-2
- Kernel 2.6.11-2
* Thu Mar 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-1
- Version Update to 1.3.1
* Mon Feb 14 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.0-1
- Version Update to 1.3.0
* Tue Feb 08 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.11-13
- Fixed Manpage Location
* Tue Feb 08 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.11-12
- Kernel 2.6.10-6
* Sat Feb 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.11-11
- Kernel 2.6.10-5
* Wed Feb 01 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.11-10
- Kernel 2.6.10-4
* Fri Jan 28 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.11-9
- Kernel 2.6.10-3
* Mon Jan 24 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.11-8
- Update to Kernel 2.6.10-2
* Wed Jan 19 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.11-7
- Update to Kernel 2.6.10-1
* Sun Nov 28 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.11-6
- Updated to Kernel 2.6.9-9
* Thu Nov 11 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.11-5
- Updated to Kernel 2.6.9-8
* Thu Nov 11 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.11-4
- Updated to Kernel 2.6.9-7
* Thu Nov 11 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.11-3
- Updated to Kernel 2.6.9-6
* Thu Nov 04 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.11-2
- First package Release
